import type { ApiResult, ClientConfig } from "../client"; import { z } from "zod"; import type { Address } from "../schemas"; /** * Body for POST /users. The API requires at least one of `phone_number` or * `email` to identify the user. */ export interface StUserCreate { phone_number?: string | null; email?: string | null; first_name?: string | null; last_name?: string | null; preferred_language?: string; second_language?: string | null; chapter_id?: number | null; custom_user_properties?: Record | null; address?: Address | null; sms_permission?: boolean | null; call_permission?: boolean | null; email_permission?: boolean | null; } declare const StPostUserResultSchema: z.ZodObject<{ id: z.ZodNumber; message: z.ZodString; }, z.core.$strip>; export type StUserCreateResponse = z.infer; /** POST /users — Creates or updates a user. */ export declare function createUser(config: ClientConfig, body: StUserCreate): Promise>; export {};